#!/bin/sh

# released under the Msys Public License.  See license.txt for details,
# or http://www-unix.mcs.anl.gov/systems/software/msys/copyright.txt .

filedir=/sandbox/netflowdb
savedir=/sandbox/savedflows
dbname=nfdb
tabname=netflows
#mysqlexe=/soft/apps/packages/mysql-3.22.32/bin/mysql
mysqlexe=/sandbox/nickless/mysql-3.23.12c-alpha/client/mysql
sqlops="--host=denali.mcs.anl.gov --user=root --password=password $dbname"

if [ -r $filedir/processlock ];
then
#   echo processflows PID $$ did not start due to $filedir/processlock
#   echo which contained the PID `cat $filedir/processlock`
   exit 0
fi

echo $$ > $filedir/processlock

$mysqlexe $sqlops \
   --execute="delete from $tabname where endtime < date_sub(now(),interval 14 day)"

for f in $filedir/out.*
do
  rv=`$mysqlexe $sqlops \
       --execute="load data local infile '$f' into table $tabname" 2>&1`

  if [ `echo $rv | grep ERROR | wc -l` -gt 0 ];
  then
     echo Database problem:
     echo $rv
     /bin/rm -f $filedir/processlock
     exit 0
  fi

#  /bin/mv $f $savedir
   /bin/rm $f

done

$mysqlexe $sqlops \
   --execute="delete from $tabname where nxt_ipn=130202128201 or nxt_ipn=130202128202"

/bin/rm -f $filedir/processlock
